ruby-rubytorrent_0.3-5_all.deb


Advertisement

Description

ruby-rubytorrent - BitTorrent library in Ruby

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-rubytorrent
Package version 0.3
Package release 5
Package architecture all
Package type deb
Installed size 181 B
Download size 36.64 KB
Official Mirror archive.ubuntu.com
BitTorrent is a peer-to-peer file sharing protocol used for distributing large
amounts of data over the Internet.
RubyTorrent is a pure-Ruby BitTorrent peer library and toolset. You can use
it to download or serve files over BitTorrent from any Ruby program.

Alternatives

Package Version Architecture Repository
ruby-rubytorrent_0.3-5_all.deb 0.3 all Ubuntu Universe
ruby-rubytorrent - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-rubytorrent_0.3-5_all.deb
Source Package ruby-rubytorrent

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-rubytorrent deb package:
    # sudo apt-get install ruby-rubytorrent

Files

Path
/usr/lib/ruby/vendor_ruby/rubytorrent.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/bencoding.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/controller.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/message.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/metainfo.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/package.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/peer.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/server.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/tracker.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/typedstruct.rb
/usr/lib/ruby/vendor_ruby/rubytorrent/util.rb
/usr/share/doc/ruby-rubytorrent/README
/usr/share/doc/ruby-rubytorrent/api.txt.gz
/usr/share/doc/ruby-rubytorrent/changelog.Debian.gz
/usr/share/doc/ruby-rubytorrent/copyright
/usr/share/doc/ruby-rubytorrent/design.txt
/usr/share/doc/ruby-rubytorrent/examples/dump-metainfo.rb
/usr/share/doc/ruby-rubytorrent/examples/dump-peers.rb
/usr/share/doc/ruby-rubytorrent/examples/make-metainfo.rb
/usr/share/doc/ruby-rubytorrent/examples/rtpeer-ncurses.rb
/usr/share/doc/ruby-rubytorrent/examples/rtpeer.rb
/usr/share/rubygems-integration/all/specifications/rubytorrent-0.3.gemspec

Changelog

2014-06-19 - Cédric Boutillier <boutil@debian.org>
ruby-rubytorrent (0.3-5) unstable; urgency=medium
* Bump Standards-Version to 3.9.5
+ remove obsolete DM-Upload-Allowed flag in control file
* use canonical URI in Vcs-* fields
* drop transitional packages (Closes: #735732)
2012-06-26 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-rubytorrent (0.3-4) unstable; urgency=low
* Bump build dependency on gem2deb to >= 0.3.0~
* Update version in Breaks/Replace to match latest version using the old
Ruby policy
2012-05-23 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-rubytorrent (0.3-3) unstable; urgency=low
* Transition to the new Ruby policy
+ renaming source and binary packages
+ using gem2deb packaging tool
* Add myself to Uploaders
* Bump Standard-Versions to 3.9.3 (no changes needed)
* debian/patches:
+ convert_break_into_return_outside_a_loop.patch:
a break outside a loop is considered a syntax error with Ruby1.9
+ fix_fetching_ascii_codes_from_chars.patch:
access characters of a string and their ASCII code in a way working with
Ruby1.8 and Ruby1.9
+ remove_rubygems_from_examples.patch:
remove requirement on rubygems in rtpeer-ncurses.rb
* Convert debian/copyright to DEP-5 copyright-format/1.0
* Override lintian warning about duplicate descriptions for transition
packages
2007-04-15 - Arnaud Cornet <arnaud.cornet@gmail.com>
libtorrent-ruby (0.3-2) unstable; urgency=low
* Fix architecture.
* Do not use the uploaders rule anymore.
2006-11-04 - Arnaud Cornet <arnaud.cornet@gmail.com>
libtorrent-ruby (0.3-1) unstable; urgency=low
* Initial release.

See Also

Package Description
ruby-rubyvis_0.6.1+dfsg1-2_all.deb Ruby visualization toolkit
ruby-rufus-scheduler_3.1.10-2_all.deb job scheduler for Ruby
ruby-rugged_0.24.0+ds1-2_i386.deb Ruby binding to the libgit2 library
ruby-rugments_1.0.0~beta8-1_all.deb pure-ruby syntax highlighter replacement for pygments
ruby-safe-yaml_1.0.4-1_all.deb safer YAML loader for Ruby
ruby-saml_1.1.2-1ubuntu1_all.deb SAML toolkit for Ruby on Rails
ruby-samuel_0.3.3-1build1_all.deb automatic logger for HTTP requests in Ruby
ruby-sanitize_2.1.0-2_all.deb whitelist-based HTML sanitizer
ruby-sasl_0.0.3.3-2_all.deb SASL client library for Ruby
ruby-sass-rails_5.0.4-1_all.deb Sass adapter for the Rails asset pipeline
ruby-sass_3.4.21-1_all.deb powerful but elegant CSS compiler that makes CSS fun again
ruby-sawyer_0.6.0-2_all.deb HTTP/REST API client Ruby library
ruby-sdl_2.1.3-1build5_i386.deb Ruby/SDL interface for Ruby
ruby-sdoc_0.4.1-1_all.deb RDoc generator to build searchable HTML documentation for Ruby code
ruby-seed-fu_2.3.5-1_all.deb easily manage seed data in an Active Record application
Advertisement
Advertisement